Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class FontUIResource

    java.lang.Object
      |
      +--java.awt.Font
            |
            +--javax.swing.plaf.FontUIResource

public class FontUIResource
extends java.awt.Font
implements UIResource

A subclass of java.awt.Font that implements UIResource. UI classes which set default font properties should use this class.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `UIResource`, Serialized Form

Fields inherited from class java.awt.Font
`BOLD, ITALIC, name, PLAIN, size, style`

Constructor Summary
`FontUIResource(java.awt.Font font)`
`FontUIResource(java.lang.String name, int style, int size)`

Methods inherited from class java.awt.Font
`decode, equals, getFamily, getFont, getFont, getName, getPeer, getSize, getStyle, hashCode, isBold, isItalic, isPlain, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FontUIResource

    public FontUIResource(java.lang.String name,
                          int style,
                          int size)

### FontUIResource

    public FontUIResource(java.awt.Font font)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.